# timeconv.h File Reference

`#include "common.h"`
Include dependency graph for timeconv.h:

Go to the source code of this file.

## Functions
char * | pst_fileTimeToAscii (const FILETIME *filetime, char *result)
| Convert a FILETIME to ascii printable local time.
void | pst_fileTimeToStructTM (const FILETIME *filetime, struct tm *result)
| Convert a FILETIME to unix struct tm.
time_t | pst_fileTimeToUnixTime (const FILETIME *filetime)
| Convert a FILETIME to unix time_t value.

## Function Documentation

char* pst_fileTimeToAscii | ( | const FILETIME * | filetime,
|  | char * | result |
| ) |  |  |

Convert a FILETIME to ascii printable local time.

Parameters:

  `[in]` | filetime | time structure to be converted
  `[out]` | result | pointer to output buffer, must be at least 30 bytes.

Returns:
  result pointer to the output buffer

void pst_fileTimeToStructTM | ( | const FILETIME * | filetime,
|  | struct tm * | result |
| ) |  |  |

Convert a FILETIME to unix struct tm.

Parameters:

  `[in]` | filetime | time structure to be converted
  `[out]` | result | pointer to output struct tm

time_t pst_fileTimeToUnixTime | ( | const FILETIME * | filetime | ) |

Convert a FILETIME to unix time_t value.

Parameters:

  `[in]` | filetime | time structure to be converted

Returns:
  result time_t value